## XviewerImageSaveInfo XviewerImageSaveInfo |

## Functions

XviewerImageSaveInfo * | xviewer_image_save_info_new_from_image ()
XviewerImageSaveInfo * | xviewer_image_save_info_new_from_uri ()
XviewerImageSaveInfo * | xviewer_image_save_info_new_from_file ()

## Types and Values

struct | XviewerImageSaveInfo
#define | XVIEWER_FILE_FORMAT_JPEG

## Description

## Functions

### xviewer_image_save_info_new_from_image ()

    XviewerImageSaveInfo *
    xviewer_image_save_info_new_from_image
                                   (XviewerImage *image);

### xviewer_image_save_info_new_from_uri ()

    XviewerImageSaveInfo *
    xviewer_image_save_info_new_from_uri (const char *uri,
                                          GdkPixbufFormat *format);

### xviewer_image_save_info_new_from_file ()

    XviewerImageSaveInfo *
    xviewer_image_save_info_new_from_file (GFile *file,
                                           GdkPixbufFormat *format);

## Types and Values

### struct XviewerImageSaveInfo

    struct XviewerImageSaveInfo {
    	GObject parent;

    	GFile       *file;
    	char        *format;
    	gboolean     exists;
    	gboolean     local;
    	gboolean     has_metadata;
    	gboolean     modified;
    	gboolean     overwrite;

    	float        jpeg_quality; /* valid range: [0.0 ... 1.0] */
    };

### XVIEWER_FILE_FORMAT_JPEG

    #define XVIEWER_FILE_FORMAT_JPEG   "jpeg"